Next: 4.4.1 Data domain or Up: 4. General features Previous: 4.3 Command line arguments Contents Index

#
4.4 Standardized command line options

Most of the programs take many of the same arguments like those related to setting the data region, the map projection, etc. The 17 switches in Table 4.1 have the same meaning in all the programs (although some programs may not use all of them). These options will be described here as well as in the manual pages, as is vital that you understand how to use these options. We will present these options in order of importance (some are use a lot more than others).

Table: The 17 standardized GMT command line switches.

Option | Meaning
-B | Defines tickmarks, annotations, and labels for basemaps and axes
-H | Specifies that input/output tables have header record(s)
-J | Selects a map projection or coordinate transformation
-K | Allows more plot code to be appended to this plot later
-O | Allows this plot code to be appended to an existing plot
-P | Selects Portrait plot orientation [Default is landscape]
-R | Defines the extent of the map/plot region
-U | Plots a time-stamp, by default in the lower left corner of page
-V | Selects verbose operation; reporting on progress
-X | Sets the x-coordinate for the plot origin on the page
-Y | Sets the y-coordinate for the plot origin on the page
-b | Selects binary input and/or output
-c | Specifies the number of plot copies
-f | Specifies the data format on a per column basis
-g | Identify data gaps based on supplied criteria
-m | Specifies data in multiple segment format
-: | Assumes input geographic data are (lat,lon) and not (lon,lat)

Subsections

- 4.4.1 Data domain or map region: The -R option
- 4.4.2 Coordinate transformations and map projections: The -J option
- 4.4.3 Map frame and axes annotations: The -B option
  - 4.4.3.1 Geographic basemaps
  - 4.4.3.2 Cartesian linear axes
  - 4.4.3.3 Cartesian log axes
  - 4.4.3.4 Cartesian exponential axes
  - 4.4.3.5 Cartesian time axes
- 4.4.4 Header data records: The -H option
- 4.4.5 Portrait plot orientation: The -P option
- 4.4.6 Plot overlays: The -K -O options
- 4.4.7 Timestamps on plots: The -U option
- 4.4.8 Verbose feedback: The -V option
- 4.4.9 Plot positioning and layout: The -X -Y options
- 4.4.10 Binary table i/o: The -b option
- 4.4.11 Number of Copies: The -c option
- 4.4.12 Data type selection: The -f option
- 4.4.13 Data gap detection: The -g option
- 4.4.14 Multiple segment data: The -m option
- 4.4.15 Lat/Lon or Lon/Lat?: The -: option

Next: 4.4.1 Data domain or Up: 4. General features Previous: 4.3 Command line arguments Contents Index